package reseau;

import train.Type;

public class Itineraire {
	private Gare gareDepart;
	private Gare gareArrivee;

	public Itineraire(Gare gDepart, Gare gArrivee) throws Exception {
		if (gDepart == null || gArrivee == null) {
			throw new Exception("Les 2 gares d'un itinéraire doivent etre définies");
		}
		if (gDepart.getType() != gArrivee.getType()) {
			throw new Exception("Les 2 gares doivent etre de meme type");
		}
		gareDepart = gDepart;
		gareArrivee = gArrivee;
	}

	public Type getType() {
		return gareDepart.getType();
	}

	public Gare getGareDepart() {
		return gareDepart;
	}

	public Gare getGareArrivee() {
		return gareArrivee;
	}

	@Override
	public String toString() {
		return "Itinéraire " + gareDepart.getVille() + " -> " + gareArrivee.getVille() + " [" + getType() + "]";
	}
}
